For the complete documentation index, see llms.txt. This page is also available as Markdown.

Asset Packs

Asset pack management

Get all asset packs

get
/assetPacks

Returns asset packs for the user or default packs

Query parameters
ownerstringOptional

Use "default" for default packs or user address

Responses
200

List of asset packs

application/json
okbooleanOptional
get/assetPacks
GET /v1/assetPacks HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
{
  "ok": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "title": "text",
      "thumbnail": "text",
      "eth_address": "text",
      "assets": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "asset_pack_id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "model": "text",
          "script": "text",
          "thumbnail": "text",
          "tags": [
            "text"
          ],
          "category": "text",
          "contents": {},
          "metrics": {},
          "parameters": [],
          "actions": []
        }
      ],
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get an asset pack

get
/assetPacks/{id}

Returns an asset pack by ID

Path parameters
idstring · uuidRequired
Responses
200

Asset pack details

application/json
okbooleanOptional
get/assetPacks/{id}
GET /v1/assetPacks/{id} HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
{
  "ok": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "thumbnail": "text",
    "eth_address": "text",
    "assets": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "asset_pack_id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "model": "text",
        "script": "text",
        "thumbnail": "text",
        "tags": [
          "text"
        ],
        "category": "text",
        "contents": {},
        "metrics": {},
        "parameters": [],
        "actions": []
      }
    ],
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}

Create or update an asset pack

put
/assetPacks/{id}

Creates a new asset pack or updates an existing one

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired
Body
idstring · uuidRequired
titlestringRequired
Responses
200

Asset pack created/updated successfully

No content

put/assetPacks/{id}
PUT /v1/assetPacks/{id} HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 297

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "title": "text",
  "assets": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "asset_pack_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "model": "text",
      "script": "text",
      "thumbnail": "text",
      "tags": [
        "text"
      ],
      "category": "text",
      "contents": {},
      "metrics": {}
    }
  ]
}

No content

Delete an asset pack

delete
/assetPacks/{id}

Deletes an asset pack

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired
Responses
200

Asset pack deleted successfully

No content

delete/assetPacks/{id}
DELETE /v1/assetPacks/{id} HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*

No content

Upload asset pack thumbnail

post
/assetPacks/{id}/thumbnail

Uploads a thumbnail for an asset pack

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired
Body
thumbnailstring · binaryOptional
Responses
200

Thumbnail uploaded successfully

No content

post/assetPacks/{id}/thumbnail
POST /v1/assetPacks/{id}/thumbnail HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 22

{
  "thumbnail": "binary"
}

No content

Last updated